diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-ht-network.cc ns-3.32/examples/wireless/wifi-ht-network.cc
--- ns-3.31/examples/wireless/wifi-ht-network.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-ht-network.cc	2020-10-06 15:35:43.000000000 -0700
@@ -130,11 +130,11 @@
               WifiHelper wifi;
               if (frequency == 5.0)
                 {
-                  wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+                  wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
                 }
               else if (frequency == 2.4)
                 {
-                  wifi.SetStandard (WIFI_PHY_STANDARD_80211n_2_4GHZ);
+                  wifi.SetStandard (WIFI_STANDARD_80211n_2_4GHZ);
                   Config::SetDefault ("ns3::LogDistancePropagationLossModel::ReferenceLoss", DoubleValue (40.046));
                 }
               else
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-mixed-network.cc ns-3.32/examples/wireless/wifi-mixed-network.cc
--- ns-3.31/examples/wireless/wifi-mixed-network.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-mixed-network.cc	2020-10-06 15:35:43.000000000 -0700
@@ -48,8 +48,6 @@
 // The example then compares HT only and mixed HT/non-HT cases with various configurations depending on the following parameters:
 // - whether HT GF is supported by the AP;
 // - whether HT GF is supported by all HT stations;
-// - whether RIFS is enabled on HT stations;
-// - RIFS mode that is configured on the AP.
 //
 // The output results show that the presence of an 802.11b station strongly affects 802.11g performance.
 // Protection mechanisms ensure that the NAV value of 802.11b stations is set correctly in case of 802.11g transmissions.
@@ -58,9 +56,7 @@
 // mechanism for access points). Since short slot time is disabled once an 802.11b station enters the network, benefits from
 // short slot time are only observed in a g only configuration.
 //
-// HT and mixed-HT results show that HT GF permits to slightly increase performance when all HT stations support GF mode, and RIFS also permits
-// such a small improvement when no non-HT station is present. In order to show the benefit offered by RIFS, aggregation has been disabled and
-// BlockAck together with a TXOP duration of 3008 microseconds have been set.
+// HT and mixed-HT results show that HT GF permits to slightly increase performance when all HT stations support GF mode
 //
 // The user can also select the payload size and can choose either an UDP or a TCP connection.
 // Example: ./waf --run "wifi-mixed-network --isUdp=1"
@@ -76,10 +72,8 @@
   std::string erpProtectionMode;
   bool enableShortSlotTime;
   bool enableShortPhyPreamble;
-  WifiPhyStandard apType;
+  WifiStandard apType;
   bool apSupportsGreenfield;
-  bool rifsSupported;
-  bool rifsMode;
   uint32_t nWifiB;
   bool bHasTraffic;
   uint32_t nWifiG;
@@ -108,13 +102,13 @@
 Experiment::Run (Parameters params)
 {
   std::string apTypeString;
-  if (params.apType == WIFI_PHY_STANDARD_80211g)
+  if (params.apType == WIFI_STANDARD_80211g)
     {
-      apTypeString = "WIFI_PHY_STANDARD_80211g";
+      apTypeString = "WIFI_STANDARD_80211g";
     }
-  else if (params.apType == WIFI_PHY_STANDARD_80211n_2_4GHZ)
+  else if (params.apType == WIFI_STANDARD_80211n_2_4GHZ)
     {
-      apTypeString = "WIFI_PHY_STANDARD_80211n_2_4GHZ";
+      apTypeString = "WIFI_STANDARD_80211n_2_4GHZ";
     }
 
   std::cout << "Run: " << params.testName
@@ -124,8 +118,6 @@
             << "\n\t enableShortPhyPreamble=" << params.enableShortPhyPreamble
             << "\n\t apType=" << apTypeString
             << "\n\t apSupportsGreenfield=" << params.apSupportsGreenfield
-            << "\n\t rifsSupported=" << params.rifsSupported
-            << "\n\t rifsMode=" << params.rifsMode
             << "\n\t nWifiB=" << params.nWifiB
             << "\n\t bHasTraffic=" << params.bHasTraffic
             << "\n\t nWifiG=" << params.nWifiG
@@ -168,7 +160,7 @@
   wifi.SetRemoteStationManager ("ns3::IdealWifiManager");
 
   // 802.11b STA
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211b);
+  wifi.SetStandard (WIFI_STANDARD_80211b);
 
   WifiMacHelper mac;
   Ssid ssid = Ssid ("ns-3-ssid");
@@ -184,12 +176,12 @@
   bStaDevice = wifi.Install (phy, mac, wifiBStaNodes);
 
   // 802.11b/g STA
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211g);
+  wifi.SetStandard (WIFI_STANDARD_80211g);
   NetDeviceContainer gStaDevice;
   gStaDevice = wifi.Install (phy, mac, wifiGStaNodes);
 
   // 802.11b/g/n STA
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211n_2_4GHZ);
+  wifi.SetStandard (WIFI_STANDARD_80211n_2_4GHZ);
   NetDeviceContainer nNGFStaDevice, nGFStaDevice;
   mac.SetType ("ns3::StaWifiMac",
                "Ssid", SsidValue (ssid),
@@ -205,19 +197,17 @@
                "Ssid", SsidValue (ssid),
                "EnableBeaconJitter", BooleanValue (false),
                "BE_BlockAckThreshold", UintegerValue (2),
-               "RifsMode", BooleanValue (params.rifsMode),
                "EnableNonErpProtection", BooleanValue (params.enableErpProtection),
                "ShortSlotTimeSupported", BooleanValue (params.enableShortSlotTime));
   apDevice = wifi.Install (phy, mac, wifiApNode);
 
   // Set TXOP limit
-  if (params.apType == WIFI_PHY_STANDARD_80211n_2_4GHZ)
+  if (params.apType == WIFI_STANDARD_80211n_2_4GHZ)
     {
       Ptr<NetDevice> dev = wifiApNode.Get (0)->GetDevice (0);
       Ptr<WifiNetDevice> wifi_dev = DynamicCast<WifiNetDevice> (dev);
       Ptr<HtConfiguration> htConfiguration = wifi_dev->GetHtConfiguration ();
       htConfiguration->SetGreenfieldSupported (params.apSupportsGreenfield);
-      htConfiguration->SetRifsSupported (params.rifsSupported);
       Ptr<WifiMac> wifi_mac = wifi_dev->GetMac ();
       PointerValue ptr;
       wifi_mac->GetAttribute ("BE_Txop", ptr);
@@ -229,7 +219,6 @@
       Ptr<NetDevice> dev = wifiNNGFStaNodes.Get (0)->GetDevice (0);
       Ptr<WifiNetDevice> wifi_dev = DynamicCast<WifiNetDevice> (dev);
       Ptr<HtConfiguration> htConfiguration = wifi_dev->GetHtConfiguration ();
-      htConfiguration->SetRifsSupported (params.rifsSupported);
       Ptr<WifiMac> wifi_mac = wifi_dev->GetMac ();
       PointerValue ptr;
       wifi_mac->GetAttribute ("BE_Txop", ptr);
@@ -242,7 +231,6 @@
       Ptr<WifiNetDevice> wifi_dev = DynamicCast<WifiNetDevice> (dev);
       Ptr<HtConfiguration> htConfiguration = wifi_dev->GetHtConfiguration ();
       htConfiguration->SetGreenfieldSupported (true);
-      htConfiguration->SetRifsSupported (params.rifsSupported);
       Ptr<WifiMac> wifi_mac = wifi_dev->GetMac ();
       PointerValue ptr;
       wifi_mac->GetAttribute ("BE_Txop", ptr);
@@ -400,10 +388,8 @@
   params.erpProtectionMode = "Cts-To-Self";
   params.enableShortSlotTime = false;
   params.enableShortPhyPreamble = false;
-  params.apType = WIFI_PHY_STANDARD_80211g;
+  params.apType = WIFI_STANDARD_80211g;
   params.apSupportsGreenfield = false;
-  params.rifsSupported = false;
-  params.rifsMode = false;
   params.nWifiB = 0;
   params.bHasTraffic = false;
   params.nWifiG = 1;
@@ -534,7 +520,7 @@
   params.enableErpProtection = false;
   params.enableShortSlotTime = false;
   params.enableShortPhyPreamble = false;
-  params.apType = WIFI_PHY_STANDARD_80211n_2_4GHZ;
+  params.apType = WIFI_STANDARD_80211n_2_4GHZ;
   params.apSupportsGreenfield = false;
   params.nWifiB = 0;
   params.bHasTraffic = false;
@@ -556,7 +542,7 @@
   params.enableErpProtection = false;
   params.enableShortSlotTime = false;
   params.enableShortPhyPreamble = false;
-  params.apType = WIFI_PHY_STANDARD_80211n_2_4GHZ;
+  params.apType = WIFI_STANDARD_80211n_2_4GHZ;
   params.apSupportsGreenfield = true;
   params.nWifiB = 0;
   params.bHasTraffic = false;
@@ -578,7 +564,7 @@
   params.enableErpProtection = false;
   params.enableShortSlotTime = false;
   params.enableShortPhyPreamble = false;
-  params.apType = WIFI_PHY_STANDARD_80211n_2_4GHZ;
+  params.apType = WIFI_STANDARD_80211n_2_4GHZ;
   params.apSupportsGreenfield = true;
   params.nWifiB = 0;
   params.bHasTraffic = false;
@@ -600,7 +586,7 @@
   params.enableErpProtection = false;
   params.enableShortSlotTime = false;
   params.enableShortPhyPreamble = false;
-  params.apType = WIFI_PHY_STANDARD_80211n_2_4GHZ;
+  params.apType = WIFI_STANDARD_80211n_2_4GHZ;
   params.apSupportsGreenfield = false;
   params.nWifiB = 0;
   params.bHasTraffic = false;
@@ -622,7 +608,7 @@
   params.enableErpProtection = false;
   params.enableShortSlotTime = false;
   params.enableShortPhyPreamble = false;
-  params.apType = WIFI_PHY_STANDARD_80211n_2_4GHZ;
+  params.apType = WIFI_STANDARD_80211n_2_4GHZ;
   params.apSupportsGreenfield = true;
   params.nWifiB = 0;
   params.bHasTraffic = false;
@@ -640,14 +626,12 @@
     }
   std::cout << "Throughput: " << throughput << " Mbit/s \n" << std::endl;
 
-  params.testName = "HT only with RIFS enabled";
+  params.testName = "HT only";
   params.enableErpProtection = false;
   params.enableShortSlotTime = false;
   params.enableShortPhyPreamble = false;
-  params.apType = WIFI_PHY_STANDARD_80211n_2_4GHZ;
+  params.apType = WIFI_STANDARD_80211n_2_4GHZ;
   params.apSupportsGreenfield = false;
-  params.rifsSupported = true;
-  params.rifsMode = false;
   params.nWifiB = 0;
   params.bHasTraffic = false;
   params.nWifiG = 0;
@@ -664,14 +648,12 @@
     }
   std::cout << "Throughput: " << throughput << " Mbit/s \n" << std::endl;
 
-  params.testName = "Mixed HT/non-HT with RIFS enabled but not forbidden";
+  params.testName = "Mixed HT/non-HT";
   params.enableErpProtection = false;
   params.enableShortSlotTime = false;
   params.enableShortPhyPreamble = false;
-  params.apType = WIFI_PHY_STANDARD_80211n_2_4GHZ;
+  params.apType = WIFI_STANDARD_80211n_2_4GHZ;
   params.apSupportsGreenfield = false;
-  params.rifsSupported = true;
-  params.rifsMode = false;
   params.nWifiB = 0;
   params.bHasTraffic = false;
   params.nWifiG = 1;
@@ -685,30 +667,6 @@
     {
       NS_LOG_ERROR ("Obtained throughput " << throughput << " is not in the expected boundaries!");
       exit (1);
-    }
-  std::cout << "Throughput: " << throughput << " Mbit/s \n" << std::endl;
-
-  params.testName = "Mixed HT/non-HT with RIFS enabled but forbidden";
-  params.enableErpProtection = false;
-  params.enableShortSlotTime = false;
-  params.enableShortPhyPreamble = false;
-  params.apType = WIFI_PHY_STANDARD_80211n_2_4GHZ;
-  params.apSupportsGreenfield = false;
-  params.rifsSupported = true;
-  params.rifsMode = true;
-  params.nWifiB = 0;
-  params.bHasTraffic = false;
-  params.nWifiG = 1;
-  params.gHasTraffic = false;
-  params.nWifiNNonGreenfield = 1;
-  params.nNonGreenfieldHasTraffic = true;
-  params.nWifiNGreenfield = 0;
-  params.nGreenfieldHasTraffic = false;
-  throughput = experiment.Run (params);
-  if (verifyResults && (throughput < 43 || throughput > 44))
-    {
-      NS_LOG_ERROR ("Obtained throughput " << throughput << " is not in the expected boundaries!");
-      exit (1);
     }
   std::cout << "Throughput: " << throughput << " Mbit/s \n" << std::endl;
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-multirate.cc ns-3.32/examples/wireless/wifi-multirate.cc
--- ns-3.31/examples/wireless/wifi-multirate.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-multirate.cc	2020-10-06 15:35:43.000000000 -0700
@@ -601,7 +601,7 @@
 
   wifiMac.SetType ("ns3::AdhocWifiMac",
                    "Ssid", StringValue ("Testbed"));
-  wifi.SetStandard (WIFI_PHY_STANDARD_holland);
+  wifi.SetStandard (WIFI_STANDARD_holland);
   wifi.SetRemoteStationManager (experiment.GetRateManager ());
 
   NS_LOG_INFO ("Scenario: " << experiment.GetScenario ());
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-multi-tos.cc ns-3.32/examples/wireless/wifi-multi-tos.cc
--- ns-3.31/examples/wireless/wifi-multi-tos.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-multi-tos.cc	2020-10-06 15:35:43.000000000 -0700
@@ -76,7 +76,7 @@
 
   WifiMacHelper mac;
   WifiHelper wifi;
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+  wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
 
   std::ostringstream oss;
   oss << "HtMcs" << mcs;
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-power-adaptation-distance.cc ns-3.32/examples/wireless/wifi-power-adaptation-distance.cc
--- ns-3.31/examples/wireless/wifi-power-adaptation-distance.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-power-adaptation-distance.cc	2020-10-06 15:35:43.000000000 -0700
@@ -182,7 +182,7 @@
       txVector.SetPreambleType (WIFI_PREAMBLE_LONG);
       txVector.SetChannelWidth (phy->GetChannelWidth ());
       DataRate dataRate = DataRate (mode.GetDataRate (phy->GetChannelWidth ()));
-      Time time = phy->CalculateTxDuration (packetSize, txVector, phy->GetFrequency ());
+      Time time = phy->CalculateTxDuration (packetSize, txVector, phy->GetPhyBand ());
       NS_LOG_DEBUG (i << " " << time.GetSeconds () << " " << dataRate);
       timeTable.push_back (std::make_pair (time, dataRate));
     }
@@ -337,7 +337,7 @@
   wifiStaNodes.Create (1);
 
   WifiHelper wifi;
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211a);
+  wifi.SetStandard (WIFI_STANDARD_80211a);
   WifiMacHelper wifiMac;
   YansWifiPhyHelper wifiPhy = YansWifiPhyHelper::Default ();
   YansWifiChannelHelper wifiChannel = YansWifiChannelHelper::Default ();
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-power-adaptation-interference.cc ns-3.32/examples/wireless/wifi-power-adaptation-interference.cc
--- ns-3.31/examples/wireless/wifi-power-adaptation-interference.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-power-adaptation-interference.cc	2020-10-06 15:35:43.000000000 -0700
@@ -181,7 +181,7 @@
       txVector.SetPreambleType (WIFI_PREAMBLE_LONG);
       txVector.SetChannelWidth (phy->GetChannelWidth ());
       DataRate dataRate = DataRate (mode.GetDataRate (phy->GetChannelWidth ()));
-      Time time = phy->CalculateTxDuration (packetSize, txVector, phy->GetFrequency ());
+      Time time = phy->CalculateTxDuration (packetSize, txVector, phy->GetPhyBand ());
       NS_LOG_DEBUG (i << " " << time.GetSeconds () << " " << dataRate);
       timeTable.push_back (std::make_pair (time, dataRate));
     }
@@ -382,7 +382,7 @@
   wifiStaNodes.Create (2);
 
   WifiHelper wifi;
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211a);
+  wifi.SetStandard (WIFI_STANDARD_80211a);
   WifiMacHelper wifiMac;
   YansWifiPhyHelper wifiPhy = YansWifiPhyHelper::Default ();
   YansWifiChannelHelper wifiChannel = YansWifiChannelHelper::Default ();
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-rate-adaptation-distance.cc ns-3.32/examples/wireless/wifi-rate-adaptation-distance.cc
--- ns-3.31/examples/wireless/wifi-rate-adaptation-distance.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-rate-adaptation-distance.cc	2020-10-06 15:35:43.000000000 -0700
@@ -204,15 +204,15 @@
     {
       if (standard == "802.11a")
         {
-          wifi.SetStandard (WIFI_PHY_STANDARD_80211a);
+          wifi.SetStandard (WIFI_STANDARD_80211a);
         }
       else if (standard == "802.11b")
         {
-          wifi.SetStandard (WIFI_PHY_STANDARD_80211b);
+          wifi.SetStandard (WIFI_STANDARD_80211b);
         }
       else if (standard == "802.11g")
         {
-          wifi.SetStandard (WIFI_PHY_STANDARD_80211g);
+          wifi.SetStandard (WIFI_STANDARD_80211g);
         }
       WifiMacHelper wifiMac;
 
@@ -236,11 +236,11 @@
     {
       if (standard == "802.11n-2.4GHz")
         {
-          wifi.SetStandard (WIFI_PHY_STANDARD_80211n_2_4GHZ);
+          wifi.SetStandard (WIFI_STANDARD_80211n_2_4GHZ);
         }
       else if (standard == "802.11n-5GHz")
         {
-          wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+          wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
         }
 
       WifiMacHelper wifiMac;
@@ -265,7 +265,7 @@
     }
   else if (standard == "802.11ac")
     {
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211ac);
+      wifi.SetStandard (WIFI_STANDARD_80211ac);
       WifiMacHelper wifiMac;
 
       //Configure the STA node
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-simple-adhoc.cc ns-3.32/examples/wireless/wifi-simple-adhoc.cc
--- ns-3.31/examples/wireless/wifi-simple-adhoc.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-simple-adhoc.cc	2020-10-06 15:35:43.000000000 -0700
@@ -122,7 +122,7 @@
     {
       wifi.EnableLogComponents ();  // Turn on all Wifi logging
     }
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211b);
+  wifi.SetStandard (WIFI_STANDARD_80211b);
 
   YansWifiPhyHelper wifiPhy =  YansWifiPhyHelper::Default ();
   // This is one parameter that matters when using FixedRssLossModel
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-simple-adhoc-grid.cc ns-3.32/examples/wireless/wifi-simple-adhoc-grid.cc
--- ns-3.31/examples/wireless/wifi-simple-adhoc-grid.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-simple-adhoc-grid.cc	2020-10-06 15:35:43.000000000 -0700
@@ -168,7 +168,7 @@
 
   // Add an upper mac and disable rate control
   WifiMacHelper wifiMac;
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211b);
+  wifi.SetStandard (WIFI_STANDARD_80211b);
   wifi.SetRemoteStationManager ("ns3::ConstantRateWifiManager",
                                 "DataMode",StringValue (phyMode),
                                 "ControlMode",StringValue (phyMode));
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-simple-ht-hidden-stations.cc ns-3.32/examples/wireless/wifi-simple-ht-hidden-stations.cc
--- ns-3.31/examples/wireless/wifi-simple-ht-hidden-stations.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-simple-ht-hidden-stations.cc	2020-10-06 15:35:43.000000000 -0700
@@ -100,7 +100,7 @@
   phy.SetChannel (channel.Create ());
 
   WifiHelper wifi;
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+  wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
   wifi.SetRemoteStationManager ("ns3::ConstantRateWifiManager", "DataMode", StringValue ("HtMcs7"), "ControlMode", StringValue ("HtMcs0"));
   WifiMacHelper mac;
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-simple-infra.cc ns-3.32/examples/wireless/wifi-simple-infra.cc
--- ns-3.31/examples/wireless/wifi-simple-infra.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-simple-infra.cc	2020-10-06 15:35:43.000000000 -0700
@@ -124,7 +124,7 @@
     {
       wifi.EnableLogComponents ();  // Turn on all Wifi logging
     }
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211b);
+  wifi.SetStandard (WIFI_STANDARD_80211b);
 
   YansWifiPhyHelper wifiPhy =  YansWifiPhyHelper::Default ();
   // This is one parameter that matters when using FixedRssLossModel
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-simple-interference.cc ns-3.32/examples/wireless/wifi-simple-interference.cc
--- ns-3.31/examples/wireless/wifi-simple-interference.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-simple-interference.cc	2020-10-06 15:35:43.000000000 -0700
@@ -175,7 +175,7 @@
     {
       wifi.EnableLogComponents ();  // Turn on all Wifi logging
     }
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211b);
+  wifi.SetStandard (WIFI_STANDARD_80211b);
 
   YansWifiPhyHelper wifiPhy =  YansWifiPhyHelper::Default ();
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-sleep.cc ns-3.32/examples/wireless/wifi-sleep.cc
--- ns-3.31/examples/wireless/wifi-sleep.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-sleep.cc	2020-10-06 15:35:43.000000000 -0700
@@ -127,7 +127,7 @@
     {
       wifi.EnableLogComponents ();  // Turn on all Wifi logging
     }
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211b);
+  wifi.SetStandard (WIFI_STANDARD_80211b);
 
   YansWifiPhyHelper wifiPhy = YansWifiPhyHelper::Default ();
   // ns-3 supports RadioTap and Prism tracing extensions for 802.11b
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-spatial-reuse.cc ns-3.32/examples/wireless/wifi-spatial-reuse.cc
--- ns-3.31/examples/wireless/wifi-spatial-reuse.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-spatial-reuse.cc	2020-10-06 15:35:43.000000000 -0700
@@ -153,7 +153,7 @@
   //TODO: add parameter to configure CCA-PD
 
   WifiHelper wifi;
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211ax_5GHZ);
+  wifi.SetStandard (WIFI_STANDARD_80211ax_5GHZ);
   if (enableObssPd)
     {
       wifi.SetObssPdAlgorithm ("ns3::ConstantObssPdAlgorithm",
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-spectrum-per-example.cc ns-3.32/examples/wireless/wifi-spectrum-per-example.cc
--- ns-3.31/examples/wireless/wifi-spectrum-per-example.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-spectrum-per-example.cc	2020-10-06 15:35:43.000000000 -0700
@@ -207,7 +207,7 @@
 
 
       WifiHelper wifi;
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
       WifiMacHelper mac;
 
       Ssid ssid = Ssid ("ns380211n");
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-spectrum-per-interference.cc ns-3.32/examples/wireless/wifi-spectrum-per-interference.cc
--- ns-3.31/examples/wireless/wifi-spectrum-per-interference.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-spectrum-per-interference.cc	2020-10-06 15:35:43.000000000 -0700
@@ -233,7 +233,7 @@
         }
 
       WifiHelper wifi;
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
       WifiMacHelper mac;
 
       Ssid ssid = Ssid ("ns380211n");
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-spectrum-saturation-example.cc ns-3.32/examples/wireless/wifi-spectrum-saturation-example.cc
--- ns-3.31/examples/wireless/wifi-spectrum-saturation-example.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-spectrum-saturation-example.cc	2020-10-06 15:35:43.000000000 -0700
@@ -225,7 +225,7 @@
         }
 
       WifiHelper wifi;
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
       WifiMacHelper mac;
 
       Ssid ssid = Ssid ("ns380211n");
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-tcp.cc ns-3.32/examples/wireless/wifi-tcp.cc
--- ns-3.31/examples/wireless/wifi-tcp.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-tcp.cc	2020-10-06 15:35:43.000000000 -0700
@@ -109,7 +109,7 @@
 
   WifiMacHelper wifiMac;
   WifiHelper wifiHelper;
-  wifiHelper.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+  wifiHelper.SetStandard (WIFI_STANDARD_80211n_5GHZ);
 
   /* Set up Legacy Channel */
   YansWifiChannelHelper wifiChannel;
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-timing-attributes.cc ns-3.32/examples/wireless/wifi-timing-attributes.cc
--- ns-3.31/examples/wireless/wifi-timing-attributes.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-timing-attributes.cc	2020-10-06 15:35:43.000000000 -0700
@@ -57,21 +57,13 @@
 {
   uint32_t slot = 9; //slot time in microseconds
   uint32_t sifs = 10; //SIFS duration in microseconds
-  uint32_t ackTimeout = 88; //Ack timeout duration in microseconds
-  uint32_t ctsTimeout = 88; //CTS timeout duration in microseconds
-  uint32_t rifs = 2; //RIFS duration in microseconds
-  uint32_t basicBlockAckTimeout = 286; //Basic BlockAck timeout duration in microseconds
-  uint32_t compressedBlockAckTimeout = 112; //Compressed BlockAck timeout duration in microseconds
+  uint32_t pifs = 19; //PIFS duration in microseconds
   double simulationTime = 10; //simulation time in seconds
 
   CommandLine cmd (__FILE__);
   cmd.AddValue ("slot", "Slot time in microseconds", slot);
   cmd.AddValue ("sifs", "SIFS duration in microseconds", sifs);
-  cmd.AddValue ("ackTimeout", "Ack timeout duration in microseconds", ackTimeout);
-  cmd.AddValue ("ctsTimeout", "CTS timeout duration in microseconds", ctsTimeout);
-  cmd.AddValue ("rifs", "RIFS duration in microseconds", rifs);
-  cmd.AddValue ("basicBlockAckTimeoutTimeout", "Basic BlockAck timeout duration in microseconds", basicBlockAckTimeout);
-  cmd.AddValue ("compressedBlockAckTimeoutTimeout", "Compressed BlockAck timeout duration in microseconds", compressedBlockAckTimeout);
+  cmd.AddValue ("pifs", "PIFS duration in microseconds", pifs);
   cmd.AddValue ("simulationTime", "Simulation time in seconds", simulationTime);
   cmd.Parse (argc,argv);
 
@@ -91,7 +83,7 @@
 
   //Default IEEE 802.11n (2.4 GHz)
   WifiHelper wifi;
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211n_2_4GHZ);
+  wifi.SetStandard (WIFI_STANDARD_80211n_2_4GHZ);
   wifi.SetRemoteStationManager ("ns3::ConstantRateWifiManager",
                                 "DataMode", StringValue ("HtMcs7"),
                                 "ControlMode", StringValue ("HtMcs0"));
@@ -112,12 +104,9 @@
   apDevice = wifi.Install (phy, mac, wifiApNode);
 
   //Once install is done, we overwrite the standard timing values
-  Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/Slot", TimeValue (MicroSeconds (slot)));
-  Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/Sifs", TimeValue (MicroSeconds (sifs)));
-  Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/AckTimeout", TimeValue (MicroSeconds (ackTimeout)));
-  Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/Rifs", TimeValue (MicroSeconds (rifs)));
-  Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/BasicBlockAckTimeout", TimeValue (MicroSeconds (basicBlockAckTimeout)));
-  Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Mac/CompressedBlockAckTimeout", TimeValue (MicroSeconds (compressedBlockAckTimeout)));
+  Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Phy/Slot", TimeValue (MicroSeconds (slot)));
+  Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Phy/Sifs", TimeValue (MicroSeconds (sifs)));
+  Config::Set ("/NodeList/*/DeviceList/*/$ns3::WifiNetDevice/Phy/Pifs", TimeValue (MicroSeconds (pifs)));
 
   //Mobility
   MobilityHelper mobility;
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-txop-aggregation.cc ns-3.32/examples/wireless/wifi-txop-aggregation.cc
--- ns-3.31/examples/wireless/wifi-txop-aggregation.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-txop-aggregation.cc	2020-10-06 15:35:43.000000000 -0700
@@ -125,7 +125,7 @@
   phy.SetChannel (channel.Create ());
 
   WifiHelper wifi;
-  wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+  wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
   wifi.SetRemoteStationManager ("ns3::ConstantRateWifiManager", "DataMode", StringValue ("HtMcs7"), "ControlMode", StringValue ("HtMcs0"));
   WifiMacHelper mac;
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/examples/wireless/wifi-vht-network.cc ns-3.32/examples/wireless/wifi-vht-network.cc
--- ns-3.31/examples/wireless/wifi-vht-network.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/examples/wireless/wifi-vht-network.cc	2020-10-06 15:35:43.000000000 -0700
@@ -129,7 +129,7 @@
               phy.SetChannel (channel.Create ());
 
               WifiHelper wifi;
-              wifi.SetStandard (WIFI_PHY_STANDARD_80211ac);
+              wifi.SetStandard (WIFI_STANDARD_80211ac);
               WifiMacHelper mac;
 
               std::ostringstream oss;
